This job view page is being replaced by Spyglass soon. Check out the new job view.
ResultFAILURE
Tests 0 failed / 0 succeeded
Started2020-03-31 04:37
Elapsed6m49s
Revision
Builder472ea7e9-7309-11ea-8574-7e2b78ec67cb
links{u'resultstore': {u'url': u'https://source.cloud.google.com/results/invocations/c620e609-5edc-45b9-8614-00bafa16f1ac/targets/test'}}
resultstorehttps://source.cloud.google.com/results/invocations/c620e609-5edc-45b9-8614-00bafa16f1ac/targets/test
infra-commitdf1fa7937

No Test Failures!


Error lines from build-log.txt

... skipping 14 lines ...
I0331 04:37:51.388] process 29 exited with code 0 after 0.0m
I0331 04:37:51.388] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 04:37:51.388] Root: /workspace
I0331 04:37:51.389] cd to /workspace
I0331 04:37:51.389] Configure environment...
I0331 04:37:51.389] Call:  git show -s --format=format:%ct HEAD
W0331 04:37:51.394] fatal: not a git repository (or any of the parent directories): .git
I0331 04:37:51.395] process 42 exited with code 128 after 0.0m
W0331 04:37:51.395] Unable to print commit date for HEAD
I0331 04:37:51.395] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 04:37:51.913] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 04:37:52.830] process 43 exited with code 0 after 0.0m
I0331 04:37:52.830] Call:  gcloud config get-value account
... skipping 35 lines ...
W0331 04:44:30.180]     self.send(msg)
W0331 04:44:30.180]   File "/usr/lib/python3.6/http/client.py", line 974, in send
W0331 04:44:30.180]     self.connect()
W0331 04:44:30.181]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 184, in connect
W0331 04:44:30.181]     conn = self._new_conn()
W0331 04:44:30.181]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connection.py", line 169, in _new_conn
W0331 04:44:30.181]     self, "Failed to establish a new connection: %s" % e
W0331 04:44:30.181] urllib3.exceptions.NewConnectionError: <urllib3.connection.HTTPConnection object at 0x7effa7e62390>: Failed to establish a new connection: [Errno 110] Connection timed out
W0331 04:44:30.181] 
W0331 04:44:30.181] During handling of the above exception, another exception occurred:
W0331 04:44:30.181] 
W0331 04:44:30.181] Traceback (most recent call last):
W0331 04:44:30.182]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 449, in send
W0331 04:44:30.182]     timeout=timeout
W0331 04:44:30.182]   File "/usr/local/lib/python3.6/dist-packages/urllib3/connectionpool.py", line 720, in urlopen
W0331 04:44:30.182]     method, url, error=e, _pool=self, _stacktrace=sys.exc_info()[2]
W0331 04:44:30.182]   File "/usr/local/lib/python3.6/dist-packages/urllib3/util/retry.py", line 436, in increment
W0331 04:44:30.182]     raise MaxRetryError(_pool, url, error or ResponseError(cause))
W0331 04:44:30.183] urllib3.exceptions.MaxRetryError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7effa7e62390>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 04:44:30.183] 
W0331 04:44:30.183] During handling of the above exception, another exception occurred:
W0331 04:44:30.183] 
W0331 04:44:30.183] Traceback (most recent call last):
W0331 04:44:30.183]   File "test-infra/kettle/monitor.py", line 116, in <module>
W0331 04:44:30.183]     sys.exit(main(sys.argv[1:]))
... skipping 12 lines ...
W0331 04:44:30.185]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 533, in request
W0331 04:44:30.185]     resp = self.send(prep, **send_kwargs)
W0331 04:44:30.185]   File "/usr/local/lib/python3.6/dist-packages/requests/sessions.py", line 646, in send
W0331 04:44:30.185]     r = adapter.send(request, **kwargs)
W0331 04:44:30.185]   File "/usr/local/lib/python3.6/dist-packages/requests/adapters.py", line 516, in send
W0331 04:44:30.185]     raise ConnectionError(e, request=request)
W0331 04:44:30.186] requests.exceptions.ConnectionError: HTTPConnectionPool(host='velodrome.k8s.io', port=8181): Max retries exceeded with url: /write?db=metrics&precision=ms (Caused by NewConnectionError('<urllib3.connection.HTTPConnection object at 0x7effa7e62390>: Failed to establish a new connection: [Errno 110] Connection timed out',))
W0331 04:44:30.186] Traceback (most recent call last):
W0331 04:44:30.186]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 50, in <module>
W0331 04:44:30.186]     main(ARGS.env, ARGS.cmd + ARGS.args)
W0331 04:44:30.186]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 41, in main
W0331 04:44:30.186]     check(*cmd)
W0331 04:44:30.186]   File "/workspace/./test-infra/jenkins/../scenarios/execute.py", line 30, in check
W0331 04:44:30.187]     subprocess.check_call(cmd)
W0331 04:44:30.187]   File "/usr/lib/python2.7/subprocess.py", line 190, in check_call
W0331 04:44:30.187]     raise CalledProcessError(retcode, cmd)
W0331 04:44:30.187] subprocess.CalledProcessError: Command '('test-infra/kettle/monitor.py', '--stale=6', '--table', 'k8s-gubernator:build.all', 'k8s-gubernator:build.week', 'k8s-gubernator:build.day')' returned non-zero exit status 1
E0331 04:44:30.187] Command failed
I0331 04:44:30.187] process 251 exited with code 1 after 6.6m
E0331 04:44:30.187] FAIL: metrics-kettle
I0331 04:44:30.188] Call:  gcloud auth activate-service-account --key-file=/etc/service-account/service-account.json
W0331 04:44:30.710] Activated service account credentials for: [triage@k8s-gubernator.iam.gserviceaccount.com]
I0331 04:44:31.330] process 255 exited with code 0 after 0.0m
I0331 04:44:31.330] Call:  gcloud config get-value account
I0331 04:44:32.222] process 267 exited with code 0 after 0.0m
I0331 04:44:32.222] Will upload results to gs://kubernetes-jenkins/logs using triage@k8s-gubernator.iam.gserviceaccount.com
I0331 04:44:32.223] Upload result and artifacts...
I0331 04:44:32.223] Gubernator results at https://gubernator.k8s.io/build/kubernetes-jenkins/logs/metrics-kettle/1244846261861879808
W0331 04:44:32.223] Missing local artifacts : /workspace/_artifacts
W0331 04:44:32.223] metadata path /workspace/_artifacts/metadata.json does not exist
W0331 04:44:32.223] metadata not found or invalid, init with empty metadata
I0331 04:44:32.223] Call:  git rev-parse HEAD
W0331 04:44:32.230] fatal: not a git repository (or any of the parent directories): .git
E0331 04:44:32.230] Command failed
I0331 04:44:32.230] process 280 exited with code 128 after 0.0m
I0331 04:44:32.230] Call:  git rev-parse HEAD
I0331 04:44:32.235] process 281 exited with code 0 after 0.0m
I0331 04:44:32.235] Call:  gsutil stat gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json
I0331 04:44:33.720] process 282 exited with code 0 after 0.0m
I0331 04:44:33.721] Call:  gsutil -q cat 'gs://kubernetes-jenkins/logs/metrics-kettle/jobResultsCache.json#1585626217166817'
... skipping 8 lines ...